DashboardPanels
Creates a dashboard panel
Creates a new dashboard panel from provided data
POST
/
v1
/
dashboards
/
{dashboard_id}
/
panels
Creates a dashboard panel
curl --request POST \
--url https://api.rootly.com/v1/dashboards/{dashboard_id}/panels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "dashboard_panels",
"attributes": {
"params": {
"description": "<string>",
"table_fields": [
"<string>"
],
"legend": {
"groups": "all"
},
"datalabels": {
"enabled": true
},
"datasets": [
{
"name": "<string>",
"filter": [
{
"rules": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"group_by": "<string>",
"aggregate": {
"key": "<string>",
"cumulative": true
}
}
]
},
"name": "<string>",
"position": {
"x": 123,
"y": 123,
"w": 123,
"h": 123
}
}
}
}
'import requests
url = "https://api.rootly.com/v1/dashboards/{dashboard_id}/panels"
payload = { "data": {
"type": "dashboard_panels",
"attributes": {
"params": {
"description": "<string>",
"table_fields": ["<string>"],
"legend": { "groups": "all" },
"datalabels": { "enabled": True },
"datasets": [
{
"name": "<string>",
"filter": [{ "rules": [
{
"key": "<string>",
"value": "<string>"
}
] }],
"group_by": "<string>",
"aggregate": {
"key": "<string>",
"cumulative": True
}
}
]
},
"name": "<string>",
"position": {
"x": 123,
"y": 123,
"w": 123,
"h": 123
}
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'dashboard_panels',
attributes: {
params: {
description: '<string>',
table_fields: ['<string>'],
legend: {groups: 'all'},
datalabels: {enabled: true},
datasets: [
{
name: '<string>',
filter: [{rules: [{key: '<string>', value: '<string>'}]}],
group_by: '<string>',
aggregate: {key: '<string>', cumulative: true}
}
]
},
name: '<string>',
position: {x: 123, y: 123, w: 123, h: 123}
}
}
})
};
fetch('https://api.rootly.com/v1/dashboards/{dashboard_id}/panels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "dashboard_panels",
"attributes": {
"params": {
"description": "<string>",
"table_fields": [
"<string>"
],
"legend": {
"groups": "all"
},
"datalabels": {
"enabled": true
},
"datasets": [
{
"name": "<string>",
"filter": [
{
"rules": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"group_by": "<string>",
"aggregate": {
"key": "<string>",
"cumulative": true
}
}
]
},
"dashboard_id": "<string>",
"name": "<string>",
"position": {
"x": 123,
"y": 123,
"w": 123,
"h": 123
},
"data": [
{}
]
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Creates a dashboard panel
